import { 
  IsString, 
  IsNotEmpty, 
  IsOptional, 
  IsObject, 
  IsUUID, 
  IsArray
} from 'class-validator';

/**
 * DTO for creating a new person
 */
export class CreatePersonDto {
  @IsString()
  @IsNotEmpty()
  name: string;

  @IsUUID()
  @IsNotEmpty()
  projectId: string;

  @IsArray()
  @IsOptional()
  skills?: string[];

  @IsObject()
  @IsOptional()
  metadata?: Record<string, any>;
}
