import { IsString, IsOptional, IsObject, IsUUID } from 'class-validator';

/**
 * DTO for updating a project
 */
export class UpdateProjectDto {
  @IsString()
  @IsOptional()
  name?: string;

  @IsString()
  @IsOptional()
  description?: string;

  @IsUUID()
  @IsOptional()
  ownerId?: string;

  @IsObject()
  @IsOptional()
  settings?: Record<string, any>;
}